Suggest routes from NAT rule
GET
/network/firewall/nat/{id}/route-suggestions
const url = 'https://sylve.lan:8181/api/network/firewall/nat/1/route-suggestions';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/network/firewall/nat/1/route-suggestions \ --header 'Authorization: <Authorization>'Derive static return-route suggestions from a policy-routed SNAT or BINAT rule
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Firewall NAT Rule ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
description
string
destination
string
destinationType
string
enabled
boolean
family
string
fib
integer
gateway
string
gatewayZone
string
interface
string
name
string
nextHopMode
string
sourceHint
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "description": "example", "destination": "example", "destinationType": "example", "enabled": true, "family": "example", "fib": 1, "gateway": "example", "gatewayZone": "example", "interface": "example", "name": "example", "nextHopMode": "example", "sourceHint": "example" } ], "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}